hpp-corbaserver: _impl_Roadmap Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_Roadmap Class Referenceabstract

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for _impl_Roadmap:
[legend]
Collaboration diagram for _impl_Roadmap:
[legend]

## Public Member Functions
virtual | ~_impl_Roadmap ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual void | clear ()=0
virtual void | addNode (const ::hpp::floatSeq &config)=0
virtual void | addNodeAndEdge (const ::hpp::floatSeq &cfgfrom, const ::hpp::floatSeq &cfgto, ::hpp::core_idl::Path_ptr path_)=0
virtual void | addNodeAndEdges (const ::hpp::floatSeq &cfgfrom, const ::hpp::floatSeq &cfgto, ::hpp::core_idl::Path_ptr path_)=0
virtual floatSeq * | nearestNode (const ::hpp::floatSeq &config, ::hpp::value_type &distance, ::CORBA::Boolean reverse)=0
virtual floatSeqSeq * | nearestNodes (const ::hpp::floatSeq &config, ::hpp::size_type &k)=0
virtual size_type | getNbNodes ()=0
virtual floatSeq * | getNode (::hpp::size_type i)=0
virtual size_type | getNbEdges ()=0
virtual Path_ptr | getEdge (::hpp::size_type i)=0
virtual ConnectedComponentSeq * | getConnectedComponents ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Roadmap()

virtual _impl_Roadmap::~_impl_Roadmap | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Roadmap::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ addNode()

virtual void _impl_Roadmap::addNode | ( | const ::hpp::floatSeq & | config | ) |
| pure virtual

## ◆ addNodeAndEdge()

virtual void _impl_Roadmap::addNodeAndEdge | ( | const ::hpp::floatSeq & | cfgfrom,
|  | const ::hpp::floatSeq & | cfgto,
|  | ::hpp::core_idl::Path_ptr | path_
| ) |  |
| pure virtual

## ◆ addNodeAndEdges()

virtual void _impl_Roadmap::addNodeAndEdges | ( | const ::hpp::floatSeq & | cfgfrom,
|  | const ::hpp::floatSeq & | cfgto,
|  | ::hpp::core_idl::Path_ptr | path_
| ) |  |
| pure virtual

## ◆ clear()

virtual void _impl_Roadmap::clear | ( |  | ) |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_Roadmap::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_Roadmap::deleteThis | ( |  | ) |
| pure virtual

## ◆ getConnectedComponents()

virtual ConnectedComponentSeq * _impl_Roadmap::getConnectedComponents | ( |  | ) |
| pure virtual

## ◆ getEdge()

virtual Path_ptr _impl_Roadmap::getEdge | ( | ::hpp::size_type | i | ) |
| pure virtual

## ◆ getNbEdges()

virtual size_type _impl_Roadmap::getNbEdges | ( |  | ) |
| pure virtual

## ◆ getNbNodes()

virtual size_type _impl_Roadmap::getNbNodes | ( |  | ) |
| pure virtual

## ◆ getNode()

virtual floatSeq * _impl_Roadmap::getNode | ( | ::hpp::size_type | i | ) |
| pure virtual

## ◆ nearestNode()

virtual floatSeq * _impl_Roadmap::nearestNode | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::value_type & | distance,
|  | ::CORBA::Boolean | reverse
| ) |  |
| pure virtual

## ◆ nearestNodes()

virtual floatSeqSeq * _impl_Roadmap::nearestNodes | ( | const ::hpp::floatSeq & | config,
|  | ::hpp::size_type & | k
| ) |  |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_Roadmap::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh